# Backpressure
<span class="source-link">[[Source]](src/backpressure/backpressure.md#L95)</span>
```pony
primitive val Backpressure
```

## Constructors

### create
<span class="source-link">[[Source]](src/backpressure/backpressure.md#L95)</span>


```pony
new val create()
: Backpressure val^
```

#### Returns

* [Backpressure](backpressure-Backpressure) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/backpressure/backpressure.md#L96)</span>


```pony
fun box apply(
  auth: (AmbientAuth val | ApplyReleaseBackpressureAuth val))
: None val
```
#### Parameters

*   auth: ([AmbientAuth](builtin-AmbientAuth) val | [ApplyReleaseBackpressureAuth](backpressure-ApplyReleaseBackpressureAuth) val)

#### Returns

* [None](builtin-None) val

---

### release
<span class="source-link">[[Source]](src/backpressure/backpressure.md#L99)</span>


```pony
fun box release(
  auth: (AmbientAuth val | ApplyReleaseBackpressureAuth val))
: None val
```
#### Parameters

*   auth: ([AmbientAuth](builtin-AmbientAuth) val | [ApplyReleaseBackpressureAuth](backpressure-ApplyReleaseBackpressureAuth) val)

#### Returns

* [None](builtin-None) val

---

### eq
<span class="source-link">[[Source]](src/backpressure/backpressure.md#L96)</span>


```pony
fun box eq(
  that: Backpressure val)
: Bool val
```
#### Parameters

*   that: [Backpressure](backpressure-Backpressure) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/backpressure/backpressure.md#L96)</span>


```pony
fun box ne(
  that: Backpressure val)
: Bool val
```
#### Parameters

*   that: [Backpressure](backpressure-Backpressure) val

#### Returns

* [Bool](builtin-Bool) val

---

